const path = require("path");

const HtmlPlugin = require("html-webpack-plugin");
const AutodllPlugin = require("autodll-webpack-plugin");

module.exports = {
  context: path.resolve(__dirname, "src"),
  entry: {
    index: "./index.js"
  },
  output: {
    path: path.resolve(__dirname, "build"),
    filename: "[name].js"
  },
  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /node_modules/,
        use: "babel-loader"
      },
      {
        test: /pixi-layers/,
        use: {
          loader: "imports-loader",
          options: "PIXI=pixi.js"
        }
      }
    ]
  },
  plugins: [
    new HtmlPlugin({
      template: "index.ejs"
    }),
    new AutodllPlugin({
      inject: true,
      filename: "[name].[hash].js",
      entry: {
        vendor: ["pixi-layers", "pixi.js"]
      }
    })
  ]
};
